Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "78ff8428-1db3-48e5-b250-fb5ca84d2fb0",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "b3b45583-e231-4df4-b6f1-30be928f9749",
"company_code": "sample string 5",
"company": {
"id": "e9eadc02-dd42-4155-92ec-9268d9cdc0cb",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-22T19:34:09.6429268+00:00",
"sales_territory_id": "d53d396b-a363-4f02-a466-e792d8b96476",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "afc88800-bd6d-4f91-b9a6-4f09946c90ba",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "96706054-c63a-4340-ac5a-20a35975ef91",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "f272d46a-6e33-4a16-8a64-35176342fd48",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f49ac591-e7f7-44cc-af7a-4cdcfa5fc5c5",
"db_currency_id": "1732257b-477d-45a7-8afa-82e53b947025",
"db_language_id": "224747d1-1033-4c2c-8ca0-931e4f9e5296",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T19:34:09.6566619+00:00"
},
"modified_dateutc": "2026-11-22T19:34:09.6566619+00:00"
},
"marketing_segment_id": "db08bd7e-eb49-4e32-882a-5e2d4ac2c58a",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "dbf5ac44-c721-4e28-b280-416667c7ef27",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "802d6170-0c4f-40d6-b39a-a00882279f69",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "b676f44f-56a6-40ba-9d91-c9a082a385b7",
"db_country_code": "sample string 28",
"feelist_id": "9a8c0f64-6bbe-4b72-b3e8-e5ffdff949e1",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "9d53d3f2-3c77-49ad-ba95-f7f56b9ebda1",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "a29d07a1-1428-41a8-a50a-4690a1b632a4",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-22T19:34:09.6566619+00:00",
"db_currency_id": "5b017259-87d5-4d43-a6d6-bcb912df21ed",
"db_currency_code": "sample string 10"
},
"company_type_id": "65931cb9-4fdf-4e26-b693-6e239ce42c05",
"company_type_name": "sample string 32",
"company_type": {
"id": "5d6bba67-7b73-4253-95de-cb46a074c024",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6d9887b8-bebe-461c-b05b-6f83824317d5",
"sales_organization_code": "sample string 5"
},
"db_language_id": "4363ae8a-49ce-415c-b06e-93eaeeffcd1b",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "291d926a-c46d-435d-a19b-79bc62d02d3f",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "78d2fff0-2bef-42ef-aa62-47f21f52d38a",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "1cbc203f-e3ec-47cb-ba57-c9919dbb3b62",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-22T19:34:09.6566619+00:00"
},
"company_sector_id": "4224b29a-b43f-4147-af4d-9ad21c41451b",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "ad5b752d-51e7-4d41-aed0-f1dac8bed403",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "9c8730d8-97cc-496b-abd9-8ddafe96fc5d",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "ad58ee7c-3ddf-413f-9a38-e6e44b3715f0",
"account_manager_user_code": "sample string 56",
"company_status_id": "1f2a2ba3-b18f-42c7-9eb1-8196851317c1",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-22T19:34:09.6722882+00:00",
"id2": 60
},
"db_language_id": "f7ea7dad-ff30-4c32-bb01-858cf0bcd36d",
"db_language_code": "sample string 7",
"db_title_id": "46e0c7e1-77b1-4e07-b64d-c019ccb4f619",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-22T19:34:09.6722882+00:00",
"create_date": "2026-11-22T19:34:09.6722882+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-22T19:34:09.6722882+00:00"
}